Has patch: No
Complexity:
Subject: MVC should know about entities lying in the session
Description

If you want to prepare/edit/create an entity over some steps before you want persist it in the database, you will put it somewhere in the
session. So far so good. As soon as you have an entity lying in the session and want to forward or redirect it to another action the
persistence manager will be asked to return the identifier, to encode and decode the object to/from its identity array. As the entity is
not yet added to a repository, the persistence manager will return FALSE and the forward/redirect breakes.

We should enable the persistence manager to know about every entity in the session and look at them before asking the underlying
persistence layer (e.g. doctrine).

History
#1 - 2011-05-24 15:32 - Karsten Dambekalns
- Subject changed from Persistence manager should know about entities lying in the session to MVC should know about entities lying in the session
- Category changed from Persistence to MVC
- Status changed from New to Resolved
- % Done changed from 0 to 100

This should be done elsewhere, not in the persistence manager. If an entity is not yet persisted, why on earth should the persistence manager know
about it?

#2 - 2011-05-24 15:33 - Karsten Dambekalns
- Status changed from Resolved to Under Review
- % Done changed from 100 to 0

See https://review.typo3.org/#change,2273

#3 - 2011-06-28 12:44 - Mr. Hudson

Patch set 5 of change I7e8ae6867309ced25aead72ac764c834e22e9adc has been pushed to the review server.
It is available at http://review.typo3.org/2273

#4 - 2011-06-28 23:07 - Mr. Hudson

Patch set 6 of change I7e8ae6867309ced25aead72ac764c834e22e9adc has been pushed to the review server.
It is available at http://review.typo3.org/2273
#5 - 2011-06-28 23:09 - Mr. Hudson

Patch set 7 of change I7e8ae6867309ced25aead72ac764c834e22e9adc has been pushed to the review server.
It is available at http://review.typo3.org/2273

#6 - 2011-06-28 23:15 - Mr. Hudson

Patch set 8 of change I7e8ae6867309ced25aead72ac764c834e22e9adc has been pushed to the review server.
It is available at http://review.typo3.org/2273

#7 - 2012-07-09 18:09 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Assigned To set to Robert Lemke
- % Done changed from 0 to 100
- Has patch set to No

See https://review.typo3.org/6547

#8 - 2012-07-10 12:14 - Andreas Förthner
- Status changed from Resolved to New
- Assigned To deleted (Robert Lemke)

Sorry, I don't see the whole issue solved. The basis is now there but there a still one thing missing:

All entities lying in the session have to be registered as new objects on session initialization in the respective __wakeup methods.

Greets Andi
